<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwConfigurationDB: fwConfigurationDB_TechnicalDocumentation.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('fwConfigurationDB__TechnicalDocumentation_8ctl.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB_TechnicalDocumentation.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCDB__API__PARAMS.html">CDB_API_PARAMS</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Input/Output table for the PL/SQL API.  <a href="structCDB__API__PARAMS.html#details">More...</a><br/></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gabe41ab806ab9d03507f7b4806f807d43"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#gabe41ab806ab9d03507f7b4806f807d43">getDevicesInRecipe</a> (VARCHAR2 recipeName, VARCHAR2 deviceFilter=null, DATE validAt=NULL)</td></tr>
<tr class="separator:gabe41ab806ab9d03507f7b4806f807d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e11b412979453780f113d042f11b0b6"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#ga9e11b412979453780f113d042f11b0b6">getDevicesInConfiguration</a> (VARCHAR2 configurationName, VARCHAR2 deviceFilter=null)</td></tr>
<tr class="separator:ga9e11b412979453780f113d042f11b0b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40489c9a6dcb1fd27f579811ff9af7eb"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#ga40489c9a6dcb1fd27f579811ff9af7eb">getRecipe</a> (VARCHAR2 recipeName, DATE validAt=0)</td></tr>
<tr class="separator:ga40489c9a6dcb1fd27f579811ff9af7eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9bd2412d265593dcae3877a3549b1cb"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#gac9bd2412d265593dcae3877a3549b1cb">getRecipesList</a> (VARCHAR2 recipeNameFilter=null, VARCHAR2 deviceFilter=null, VARCHAR2 recipeCommentFilter='*', VARCHAR2 recipeTypeFilter='*')</td></tr>
<tr class="separator:gac9bd2412d265593dcae3877a3549b1cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cdf9e94de66eddf2975e42b22f3f2d3"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#ga0cdf9e94de66eddf2975e42b22f3f2d3">getConfigurationsList</a> (VARCHAR2 configurationNameFilter=null)</td></tr>
<tr class="separator:ga0cdf9e94de66eddf2975e42b22f3f2d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabdb0d645887faffd6d711fc2799f014b"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#gabdb0d645887faffd6d711fc2799f014b">createRecipe</a> (VARCHAR2 recipeName, VARCHAR2 recipeDescription=null)</td></tr>
<tr class="separator:gabdb0d645887faffd6d711fc2799f014b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f7a0c7948782ccf6dcde7be1cf62605"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#ga9f7a0c7948782ccf6dcde7be1cf62605">storeRecipe</a> (VARCHAR2 recipeName, VARCHAR2 versionDescription=null, VARCHAR2 userCreated=null)</td></tr>
<tr class="separator:ga9f7a0c7948782ccf6dcde7be1cf62605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6405810846d53df7e0d9683e82f644c"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#gae6405810846d53df7e0d9683e82f644c">getReferences</a> (VARCHAR2 configurationName, DATE validAt=null)</td></tr>
<tr class="separator:gae6405810846d53df7e0d9683e82f644c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadf8b2a5415b776e5a53360fb026666d7"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#gadf8b2a5415b776e5a53360fb026666d7">setReferences</a> (VARCHAR2 configurationName)</td></tr>
<tr class="separator:gadf8b2a5415b776e5a53360fb026666d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga41489d6acfbac012c0e78635624f0c34"><td class="memItemLeft" align="right" valign="top">fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#ga41489d6acfbac012c0e78635624f0c34">getReferenceHistory</a> (VARCHAR2 configurationName, DATE startDate=null, DATE endDate=null)</td></tr>
<tr class="separator:ga41489d6acfbac012c0e78635624f0c34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga021631cf4e85861d0c478ded36507957"><td class="memItemLeft" align="right" valign="top">int fwConfigurationDB&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PLSQLAPI.html#ga021631cf4e85861d0c478ded36507957">checkInputTable</a> (NUMBER checkS2=1)</td></tr>
<tr class="separator:ga021631cf4e85861d0c478ded36507957"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Technical documentation of the tool</p>
<p>(c) Copyright CERN, All Rights Reserved</p>
<p>Please refer to the following topics</p>
<p><a class="el" href="group__PLSQLAPI.html">External access to ConfigurationDB (PL/SQL API)</a> </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__TechnicalDocumentation_8ctl.html">fwConfigurationDB_TechnicalDocumentation.ctl</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
